/*= EIP123x Include File ==================================================*/

/*=========================================================================*/
/*  Please note that the use of global variables or arrays in the Include  */
/*  file is no longer allowed.                                             */
/*=========================================================================*/

/*= GLOBAL CONSTANT DECLARATIONS ==========================================*/
/* Replace 10 with the maximum number of devices of this type being used.  */
#define eip123x_MAX_INSTR   10
#define NI_VXI  1
#define NI_GPIB 2

/*= GLOBAL FUNCTION DECLARATIONS ==========================================*/
int eip123x_init (int, int, int, int, int *, int *);
int eip123x_band_eip1230 (int, int, int);
int eip123x_band_eip1231 (int, int);
int eip123x_sample_rate (int, long);
int eip123x_resolution (int, int);
int eip123x_freq_avr (int, int);
int eip123x_center_freq (int, double);
int eip123x_freq_win_lim (int, double, double);
int eip123x_freq_offset (int, int, double);
int eip123x_min_freq_rep (int, double, int);
int eip123x_inhibit_input (int, int);
int eip123x_trig_setup (int, int, int);
int eip123x_time_base (int, int);
int eip123x_special_funct (int, int, double *);
int eip123x_terminate_spec (int);
int eip123x_hold_func (int, int);
int eip123x_set_meas_type (int, int);
int eip123x_trigger_func (int, int);
int eip123x_get_measurement (int, double *);
int eip123x_counter_setup (int, int, int);
int eip123x_save_default_setup (int);
int eip123x_get_gen_setup_info (int, int, char *);
int eip123x_close (int);

/*=== END OF INCLUDE FILE ++++=============================================*/
